Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 10137 - Incorrect rendering of programlisting blocks
Incorrect rendering of programlisting blocks
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: jadetex (Show other bugs)
6.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-12 20:24 EST by Alan Cox
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-13 11:36:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2000-03-12 20:24:16 EST
A <programlisting> block has the leading spaces stripped out of the
document rendering listings unusable. The html renderer gets these correct.
I guess this is a style sheet bug of some sort ?

Anyway it makes db2ps basically unusable.
Comment 1 David Mason 2000-03-13 10:11:59 EST
It does sound like a dsssl problem to me. Can you send me the sgml so I can test
it off a clean install? Dave <dcm@redhat.com>
Comment 2 David Mason 2000-03-13 11:36:59 EST
This is not really a bug - jadetex does not recognize tabs - all tabs in
<programlisting>s and <literallayout>s should be converted to spaces [emacs
users M-x untabify]

I might talk with Norman Walsh and see if there is a way we can recognize tabs
in dsssl before it ever gets to jadetex.

Note You need to log in before you can comment on or make changes to this bug.